flex-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alex Harui <aha...@adobe.com>
Subject Re: [FlexJS] Need your help testing the flexjs npm module
Date Mon, 04 Jan 2016 19:34:45 GMT
Didn't notice that, but yes, it should be "Downloading Apache Flex Falcon
Compiler"

Also, for me on Mac in Terminal, the cursor position when asking for "y"
or "n" in the license acceptance was in a funky place.  I think it may be
because the Terminal window was scrolling the output or was an unexpected
size.

-Alex

On 1/4/16, 11:30 AM, "Harbs" <harbs.lists@gmail.com> wrote:

>One comment: "Downloading Apache Falcon" is not correct. Falcon is a
>separate Apache project. It should be Apache Flex Falcon Compiler.
>
>I tried installing and it does not look like it worked for me.
>
>Here’s the output at the end of the install:
>
>request@2.67.0 node_modules/flexjs/node_modules/request ->
>node_modules/request
>/Users/harbs
>└─┬ flexjs@0.5.0 
>  ├─┬ replace@0.3.0
>  │ ├── colors@0.5.1
>  │ └─┬ nomnom@1.6.2
>  │   └── colors@0.5.1
>  └─┬ unzip@0.1.11
>    ├─┬ match-stream@0.0.2
>    │ └── readable-stream@1.0.33
>    ├─┬ pullstream@0.4.1
>    │ ├── readable-stream@1.0.33
>    │ └─┬ slice-stream@1.0.0
>    │   └── readable-stream@1.0.33
>    └── readable-stream@1.0.33
>
>npm WARN ENOENT ENOENT: no such file or directory, open
>'/Users/harbs/package.json'
>npm WARN EPACKAGEJSON harbs No description
>npm WARN EPACKAGEJSON harbs No repository field.
>npm WARN EPACKAGEJSON harbs No README data
>npm WARN EPACKAGEJSON harbs No license field.
>
>and I get asjsc not found when I try to run the command.
>
>FWIW, I do have flexjs inside node_modules in my User account.
>
>On Jan 4, 2016, at 8:47 PM, OmPrakash Muppirala <bigosmallm@gmail.com>
>wrote:
>
>> On Jan 4, 2016 10:02 AM, "Alex Harui" <aharui@adobe.com> wrote:
>>> 
>>> 
>>> 
>>> On 1/4/16, 8:18 AM, "omuppi1@gmail.com on behalf of OmPrakash
>>>Muppirala"
>>> <omuppi1@gmail.com on behalf of bigosmallm@gmail.com> wrote:
>>> 
>>>> Oh right,  forgot about that.
>>>> 
>>>> npm uninstall flexjs -g
>>>> 
>>>> Then clear cache and install.
>>> 
>>> Clear what cache and how?  I just tried it and it didn't work for me.
>>>The
>>> error looked the same so I think I may have still picked up an older
>>> version.
>> 
>> npm cache clear
>> 
>> npm most likely picked up the tarball from the cache for you.
>> 
>> Thanks,
>> Om
>> 
>>> 
>>> Thanks,
>>> -Alex
>

Mime
View raw message